TopFirefox > 2009年5月
2009年5月 1日

Firefox 3.0.9 で「ページのソース」を表示するとクラッシュする問題の対処

最近、Firefox で「ページのソース」を表示するとクラッシュするという事象が続いてました。それも時々ではなく、「ページのソース」を行なうたびにクラッシュしてしまいます。

で、ちょっと検索してみたところ、Firefox 3.0.9 と、アドオンの Html Validator の組み合わせが原因だったようで、巷では割と話題になっていました。

ちなみに、現在 3.0.10 がリリースされ、その問題が解消されています(と思います)。

ITmedia News - Firefox 3.0.10がリリース、クラッシュ問題に対処

Html Validator の公式サイトでも以下のニュースが流れてました。

なお、ネットで検索すると、最新の Html Validator 0.8.5.6 は Firefox 3.0.9 対応で、ソースのハイライト表示を無効にしたものになっているという情報が流れています。

覚え書き - Firefox 3.0.9とかHtml Validator for Firefox and Mozillaとか

確認したところ、0.8.5.6 では、Html Validator オプション画面の「エラーを含む行をハイライト」をチェックしても、エラーのある行がハイライトされません。下の画面のカーソルがある行がエラー行ですが、行全体がハイライトされていません。

Firefox 3.0.10 + Html Validator 0.8.5.6
Firefox 3.0.10 + Html Validator 0.8.5.6

ただし、Firefox 3.0.10 と Html Validator 0.8.5.2 を組み合わせれば、ハイライト表示が可能になります(下)。

Firefox 3.0.10 + Html Validator 0.8.5.2
Firefox 3.0.10 + Html Validator 0.8.5.2

これらを表にまとめると、次のようになります。

Firefox3.0.93.0.10
Html Validator0.8.5.2NG(クラッシュ)OK
0.8.5.6OK(ハイライトなし)OK(ハイライトなし)

以下、Html Validator 0.8.5.6 から 0.8.5.2 にダウングレードする手順です。

Firefox の「ツール」→「アドオン」で Html Validator 0.8.5.6 を削除して、Firefox を再起動。

Html Validator :: Firefox Add-ons」のページ下の方にある、「すべてのバージョンを表示」をクリック。

バージョン 0.8.5.2 の「Firefox へインストール」をクリック。

あとは通常の手順でインストールすれば OK です。0.8.5.6 をインストールした状態のまま、0.8.5.2 にバージョンを下げることはできません。

なお、0.8.5.2 から 0.8.5.6 の間には他のバグフィックスも含まれているので、暫定対処ということで。

Comments [0] | Trackbacks [0]
Now loading...
ギターに入った猫
掲載広告募集
Styles
Font Size
Default
For defective color vision
Gray Scale
RGB Color
Search this site

このブログをメールで購読する by:FeedBurner

AMN
Categories
Monthly Archives
2021年
2020年
2019年
2018年
2017年
2016年
2015年
2014年
2013年
2012年
2011年
2010年
2009年
2008年
2007年
2006年
2005年
2004年
2003年
BlogPeople
Syndicate this site
FeedBurner(RSS1.0/RSS2.0/Atom)
Counter
これまでのアクセス
Powered by
Movable Type 6.0.3